# udp_pcb Struct Reference

`#include <udp.h>`

## Data Fields

udp_pcb * | next
ip_addr local_ip | remote_ip
uInt16 | local_port
uInt16 | remote_port
uInt8 | flags
uInt16 | chksum_len
void(* | recv )(void *arg, struct udp_pcb *pcb, struct pbuf *p, struct ip_addr *addr, uInt16 port)
void * | recv_arg

## Field Documentation

uInt16 udp_pcb::chksum_len

uInt8 udp_pcb::flags

uInt16 udp_pcb::local_port

struct udp_pcb* udp_pcb::next

void(* udp_pcb::recv)(void *arg, struct udp_pcb *pcb, struct pbuf *p, struct ip_addr *addr, uInt16 port)

void* udp_pcb::recv_arg

struct ip_addr local_ip udp_pcb::remote_ip

uInt16 udp_pcb::remote_port

The documentation for this struct was generated from the following file:

- udp.h